# This Makefile is for the Log2t extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.57_05 (Revision: 65705) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[An automatic tool to extract super timelines from files]
#     AUTHOR => [q[kristinn@log2timeline.net]]
#     BUILD_REQUIRES => {  }
#     EXE_FILES => [q[log2timeline], q[l2t_process_old.pl], q[faersluskra2timalina]]
#     INSTALLSCRIPT => q[/usr/local/bin/]
#     LICENSE => q[gpl]
#     NAME => q[Log2t]
#     PREREQ_PM => { DateTime=>q[0.41], Archive::Zip=>q[1.18], NetPacket::Ethernet=>q[0], Pod::Usage=>q[0], Carp::Assert=>q[0], DateTime::Format::Strptime=>q[0], Encode=>q[0], Math::BigInt=>q[0], NetPacket::UDP=>q[0], Time::localtime=>q[0], Digest::CRC=>q[0.14], DBI=>q[1.52], File::Copy=>q[0], Getopt::Long=>q[0], Net::Pcap=>q[0], Data::Hexify=>q[0], Test::More=>q[0.88], File::Mork=>q[0.3], HTML::Parser=>q[0], XML::LibXML=>q[0], Date::Manip=>q[0], HTML::Scrubber=>q[0], DBD::SQLite=>q[0], Fcntl=>q[0], NetPacket::TCP=>q[0], NetPacket::IP=>q[0], Digest::MD5=>q[0], XML::LibXML::Common=>q[0], version=>q[0], Parse::Win32Registry=>q[0], Carp=>q[0], DateTime::TimeZone=>q[0], Mac::PropertyList=>q[0], Params::Validate=>q[0], LWP::UserAgent=>q[0], Image::ExifTool=>q[0] }
#     VERSION_FROM => q[lib/Log2t/Common.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.14/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib -fstack-protector
LDFLAGS =  -fstack-protector -L/usr/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 3.2.0-37-generic
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.14.2
SITEARCHEXP = /usr/local/lib/perl/5.14.2
SO = so
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = Log2t
NAME_SYM = Log2t
VERSION = 0.65
VERSION_MACRO = VERSION
VERSION_SYM = 0_65
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.65
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = /usr
PERLPREFIX = $(PREFIX)
SITEPREFIX = $(PREFIX)/local
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PERLPREFIX)/share/perl/5.14
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.14.2
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl/5.14
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.14.2
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/local/bin/
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = $(SITEPREFIX)/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = $(VENDORPREFIX)/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.14
PERL_ARCHLIB = /usr/lib/perl/5.14
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.14/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.14/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.57_05
MM_REVISION = 65705

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = Log2t
BASEEXT = Log2t
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = lib/Log2t/Common.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = faersluskra2timalina \
	l2t_process_old.pl \
	log2timeline
MAN3PODS = l2t_process_old.pl \
	lib/Log2Timeline.pm \
	lib/Log2t/BinRead.pm \
	lib/Log2t/Numbers.pm \
	lib/Log2t/Time.pm \
	lib/Log2t/base/input.pm \
	lib/Log2t/input/altiris.pm \
	lib/Log2t/input/encase_dirlisting.pm \
	lib/Log2t/input/evt.pm \
	lib/Log2t/input/evtx.pm \
	lib/Log2t/input/ff_bookmark.pm \
	lib/Log2t/input/firefox2.pm \
	lib/Log2t/input/ftk_dirlisting.pm \
	lib/Log2t/input/iehistory.pm \
	lib/Log2t/input/jp_ntfs_change.pm \
	lib/Log2t/input/mcafee.pm \
	lib/Log2t/input/mcafeefireup.pm \
	lib/Log2t/input/mcafeehel.pm \
	lib/Log2t/input/mcafeehs.pm \
	lib/Log2t/input/mft.pm \
	lib/Log2t/input/mssql_errlog.pm \
	lib/Log2t/input/opera.pm \
	lib/Log2t/input/pcap.pm \
	lib/Log2t/input/pdf.pm \
	lib/Log2t/input/selinux.pm \
	lib/Log2t/input/setupapi.pm \
	lib/Log2t/input/sol.pm \
	lib/Log2t/input/symantec.pm \
	lib/Log2t/input/utmp.pm \
	lib/Log2t/input/volatility.pm \
	lib/Log2t/input/wmiprov.pm \
	lib/Log2t/output/beedocs.pm \
	lib/Log2t/output/cef.pm \
	lib/Log2t/output/cftl.pm \
	lib/Log2t/output/csv.pm \
	lib/Log2t/output/serialize.pm \
	lib/Log2t/output/tab.pm \
	lib/Parse/Evtx2.pm \
	lib/Parse/Evtx2/Chunk.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = l2t_process_old.pl \
	lib/Log2Timeline.pm \
	lib/Log2t/BinRead.pm \
	lib/Log2t/Common.pm \
	lib/Log2t/Network.pm \
	lib/Log2t/Numbers.pm \
	lib/Log2t/PreProc/user_browser.pm \
	lib/Log2t/PreProc/win_sysinfo.pm \
	lib/Log2t/Time.pm \
	lib/Log2t/Win.pm \
	lib/Log2t/WinReg.pm \
	lib/Log2t/base/input.pm \
	lib/Log2t/input/altiris.pm \
	lib/Log2t/input/analog_cache.pm \
	lib/Log2t/input/apache2_access.pm \
	lib/Log2t/input/apache2_error.pm \
	lib/Log2t/input/chrome.pm \
	lib/Log2t/input/encase_dirlisting.pm \
	lib/Log2t/input/evt.pm \
	lib/Log2t/input/evtx.pm \
	lib/Log2t/input/exif.pm \
	lib/Log2t/input/ff_bookmark.pm \
	lib/Log2t/input/ff_cache.pm \
	lib/Log2t/input/firefox2.pm \
	lib/Log2t/input/firefox3.pm \
	lib/Log2t/input/ftk_dirlisting.pm \
	lib/Log2t/input/generic_linux.pm \
	lib/Log2t/input/iehistory.pm \
	lib/Log2t/input/iis.pm \
	lib/Log2t/input/isatxt.pm \
	lib/Log2t/input/jp_ntfs_change.pm \
	lib/Log2t/input/l2t_csv.pm \
	lib/Log2t/input/linux.lst \
	lib/Log2t/input/ls_quarantine.pm \
	lib/Log2t/input/macosx.lst \
	lib/Log2t/input/mactime.pm \
	lib/Log2t/input/mcafee.pm \
	lib/Log2t/input/mcafeefireup.pm \
	lib/Log2t/input/mcafeehel.pm \
	lib/Log2t/input/mcafeehs.pm \
	lib/Log2t/input/mft.pm \
	lib/Log2t/input/mssql_errlog.pm \
	lib/Log2t/input/ntuser.pm \
	lib/Log2t/input/openvpn.pm \
	lib/Log2t/input/opera.pm \
	lib/Log2t/input/oxml.pm \
	lib/Log2t/input/pcap.pm \
	lib/Log2t/input/pdf.pm \
	lib/Log2t/input/prefetch.pm \
	lib/Log2t/input/proftpd_xferlog.pm \
	lib/Log2t/input/recycler.pm \
	lib/Log2t/input/restore.pm \
	lib/Log2t/input/safari.pm \
	lib/Log2t/input/sam.pm \
	lib/Log2t/input/security.pm \
	lib/Log2t/input/selinux.pm \
	lib/Log2t/input/setupapi.pm \
	lib/Log2t/input/skype_sql.pm \
	lib/Log2t/input/software.pm \
	lib/Log2t/input/sol.pm \
	lib/Log2t/input/squid.pm \
	lib/Log2t/input/symantec.pm \
	lib/Log2t/input/syslog.pm \
	lib/Log2t/input/system.pm \
	lib/Log2t/input/tln.pm \
	lib/Log2t/input/urlsnarf.pm \
	lib/Log2t/input/utmp.pm \
	lib/Log2t/input/volatility.pm \
	lib/Log2t/input/webhist.lst \
	lib/Log2t/input/win7.lst \
	lib/Log2t/input/win7_no_reg.lst \
	lib/Log2t/input/win_link.pm \
	lib/Log2t/input/winsrv.lst \
	lib/Log2t/input/winxp.lst \
	lib/Log2t/input/winxp_no_reg.lst \
	lib/Log2t/input/wmiprov.pm \
	lib/Log2t/input/xpfirewall.pm \
	lib/Log2t/output/beedocs.pm \
	lib/Log2t/output/cef.pm \
	lib/Log2t/output/cftl.pm \
	lib/Log2t/output/csv.pm \
	lib/Log2t/output/mactime.pm \
	lib/Log2t/output/mactime_l.pm \
	lib/Log2t/output/serialize.pm \
	lib/Log2t/output/simile.pm \
	lib/Log2t/output/sqlite.pm \
	lib/Log2t/output/tab.pm \
	lib/Log2t/output/tln.pm \
	lib/Log2t/output/tlnx.pm \
	lib/Parse/Evtx2.pm \
	lib/Parse/Evtx2/BXmlNode.pm \
	lib/Parse/Evtx2/BXmlNode/NameString.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x00.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x01.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x02.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x03.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x04.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x05.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x06.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x07.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x09.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0a.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0b.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0c.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0d.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0e.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0f.pm \
	lib/Parse/Evtx2/BXmlNode/Root.pm \
	lib/Parse/Evtx2/BXmlNode/SubstArray.pm \
	lib/Parse/Evtx2/BXmlNode/Template.pm \
	lib/Parse/Evtx2/Chunk.pm \
	lib/Parse/Evtx2/Const.pm \
	lib/Parse/Evtx2/Event.pm \
	lib/Parse/Evtx2/VariantType.pm \
	lib/Parse/Evtx2/VariantType/Type0x00.pm \
	lib/Parse/Evtx2/VariantType/Type0x01.pm \
	lib/Parse/Evtx2/VariantType/Type0x02.pm \
	lib/Parse/Evtx2/VariantType/Type0x03.pm \
	lib/Parse/Evtx2/VariantType/Type0x04.pm \
	lib/Parse/Evtx2/VariantType/Type0x05.pm \
	lib/Parse/Evtx2/VariantType/Type0x06.pm \
	lib/Parse/Evtx2/VariantType/Type0x07.pm \
	lib/Parse/Evtx2/VariantType/Type0x08.pm \
	lib/Parse/Evtx2/VariantType/Type0x09.pm \
	lib/Parse/Evtx2/VariantType/Type0x0a.pm \
	lib/Parse/Evtx2/VariantType/Type0x0b.pm \
	lib/Parse/Evtx2/VariantType/Type0x0c.pm \
	lib/Parse/Evtx2/VariantType/Type0x0d.pm \
	lib/Parse/Evtx2/VariantType/Type0x0e.pm \
	lib/Parse/Evtx2/VariantType/Type0x0f.pm \
	lib/Parse/Evtx2/VariantType/Type0x10.pm \
	lib/Parse/Evtx2/VariantType/Type0x11.pm \
	lib/Parse/Evtx2/VariantType/Type0x12.pm \
	lib/Parse/Evtx2/VariantType/Type0x13.pm \
	lib/Parse/Evtx2/VariantType/Type0x14.pm \
	lib/Parse/Evtx2/VariantType/Type0x15.pm \
	lib/Parse/Evtx2/VariantType/Type0x21.pm \
	lib/Parse/Evtx2/VariantType/Type0x81.pm \
	lib/Parse/Evtx2/VariantType/Type0x83.pm \
	lib/Parse/Evtx2/VariantType/Type0x84.pm \
	lib/Parse/Evtx2/VariantType/Type0x85.pm \
	lib/Parse/Evtx2/VariantType/Type0x86.pm \
	lib/Parse/Evtx2/VariantType/Type0x87.pm \
	lib/Parse/Evtx2/VariantType/Type0x88.pm \
	lib/Parse/Evtx2/VariantType/Type0x89.pm \
	lib/Parse/Evtx2/VariantType/Type0x8a.pm \
	lib/Parse/Evtx2/VariantType/Type0x8b.pm \
	lib/Parse/Evtx2/VariantType/Type0x8c.pm \
	lib/Parse/Evtx2/VariantType/Type0x8f.pm \
	lib/Parse/Evtx2/VariantType/Type0x91.pm \
	lib/Parse/Evtx2/VariantType/Type0x92.pm \
	lib/Parse/Evtx2/VariantType/Type0x94.pm \
	lib/Parse/Evtx2/VariantType/Type0x95.pm

PM_TO_BLIB = lib/Parse/Evtx2/VariantType/Type0x21.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x21.pm \
	lib/Parse/Evtx2/VariantType/Type0x09.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x09.pm \
	lib/Log2t/output/cef.pm \
	blib/lib/Log2t/output/cef.pm \
	lib/Log2t/input/altiris.pm \
	blib/lib/Log2t/input/altiris.pm \
	lib/Parse/Evtx2/Const.pm \
	blib/lib/Parse/Evtx2/Const.pm \
	lib/Log2t/input/firefox2.pm \
	blib/lib/Log2t/input/firefox2.pm \
	lib/Log2t/input/tln.pm \
	blib/lib/Log2t/input/tln.pm \
	lib/Parse/Evtx2/VariantType/Type0x03.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x03.pm \
	lib/Log2t/output/tab.pm \
	blib/lib/Log2t/output/tab.pm \
	lib/Log2t/PreProc/user_browser.pm \
	blib/lib/Log2t/PreProc/user_browser.pm \
	lib/Log2t/input/encase_dirlisting.pm \
	blib/lib/Log2t/input/encase_dirlisting.pm \
	lib/Log2t/input/sam.pm \
	blib/lib/Log2t/input/sam.pm \
	lib/Log2Timeline.pm \
	blib/lib/Log2Timeline.pm \
	lib/Log2t/input/security.pm \
	blib/lib/Log2t/input/security.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x02.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x02.pm \
	lib/Log2t/base/input.pm \
	blib/lib/Log2t/base/input.pm \
	lib/Log2t/WinReg.pm \
	blib/lib/Log2t/WinReg.pm \
	lib/Parse/Evtx2/VariantType/Type0x88.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x88.pm \
	lib/Log2t/input/xpfirewall.pm \
	blib/lib/Log2t/input/xpfirewall.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x07.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x07.pm \
	lib/Log2t/input/restore.pm \
	blib/lib/Log2t/input/restore.pm \
	lib/Log2t/input/linux.lst \
	blib/lib/Log2t/input/linux.lst \
	lib/Parse/Evtx2/VariantType/Type0x87.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x87.pm \
	lib/Parse/Evtx2/VariantType/Type0x94.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x94.pm \
	lib/Log2t/input/squid.pm \
	blib/lib/Log2t/input/squid.pm \
	lib/Log2t/input/exif.pm \
	blib/lib/Log2t/input/exif.pm \
	lib/Parse/Evtx2/VariantType/Type0x05.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x05.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0a.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x0a.pm \
	lib/Parse/Evtx2/BXmlNode/Root.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Root.pm \
	lib/Log2t/input/webhist.lst \
	blib/lib/Log2t/input/webhist.lst \
	lib/Parse/Evtx2/VariantType/Type0x06.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x06.pm \
	lib/Parse/Evtx2/VariantType/Type0x91.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x91.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0d.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x0d.pm \
	lib/Parse/Evtx2/VariantType/Type0x10.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x10.pm \
	lib/Log2t/input/isatxt.pm \
	blib/lib/Log2t/input/isatxt.pm \
	lib/Log2t/input/safari.pm \
	blib/lib/Log2t/input/safari.pm \
	lib/Log2t/Common.pm \
	blib/lib/Log2t/Common.pm \
	lib/Log2t/Network.pm \
	blib/lib/Log2t/Network.pm \
	lib/Parse/Evtx2/BXmlNode/SubstArray.pm \
	blib/lib/Parse/Evtx2/BXmlNode/SubstArray.pm \
	lib/Log2t/input/urlsnarf.pm \
	blib/lib/Log2t/input/urlsnarf.pm \
	lib/Log2t/input/winxp.lst \
	blib/lib/Log2t/input/winxp.lst \
	lib/Log2t/output/beedocs.pm \
	blib/lib/Log2t/output/beedocs.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x00.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x00.pm \
	lib/Parse/Evtx2/VariantType/Type0x81.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x81.pm \
	lib/Log2t/output/sqlite.pm \
	blib/lib/Log2t/output/sqlite.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x09.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x09.pm \
	lib/Parse/Evtx2/VariantType/Type0x13.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x13.pm \
	lib/Parse/Evtx2.pm \
	blib/lib/Parse/Evtx2.pm \
	lib/Log2t/output/tlnx.pm \
	blib/lib/Log2t/output/tlnx.pm \
	lib/Parse/Evtx2/VariantType/Type0x11.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x11.pm \
	lib/Log2t/Win.pm \
	blib/lib/Log2t/Win.pm \
	lib/Parse/Evtx2/VariantType/Type0x83.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x83.pm \
	lib/Parse/Evtx2/VariantType/Type0x89.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x89.pm \
	lib/Log2t/output/simile.pm \
	blib/lib/Log2t/output/simile.pm \
	lib/Parse/Evtx2/BXmlNode.pm \
	blib/lib/Parse/Evtx2/BXmlNode.pm \
	lib/Parse/Evtx2/VariantType.pm \
	blib/lib/Parse/Evtx2/VariantType.pm \
	lib/Log2t/input/volatility.pm \
	blib/lib/Log2t/input/volatility.pm \
	lib/Log2t/output/serialize.pm \
	blib/lib/Log2t/output/serialize.pm \
	lib/Log2t/input/selinux.pm \
	blib/lib/Log2t/input/selinux.pm \
	lib/Log2t/input/ftk_dirlisting.pm \
	blib/lib/Log2t/input/ftk_dirlisting.pm \
	lib/Log2t/input/oxml.pm \
	blib/lib/Log2t/input/oxml.pm \
	lib/Parse/Evtx2/VariantType/Type0x8f.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x8f.pm \
	lib/Log2t/input/chrome.pm \
	blib/lib/Log2t/input/chrome.pm \
	lib/Log2t/input/syslog.pm \
	blib/lib/Log2t/input/syslog.pm \
	lib/Log2t/input/recycler.pm \
	blib/lib/Log2t/input/recycler.pm \
	lib/Parse/Evtx2/VariantType/Type0x08.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x08.pm \
	lib/Parse/Evtx2/VariantType/Type0x12.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x12.pm \
	lib/Log2t/input/wmiprov.pm \
	blib/lib/Log2t/input/wmiprov.pm \
	lib/Log2t/output/mactime_l.pm \
	blib/lib/Log2t/output/mactime_l.pm \
	lib/Log2t/input/ff_cache.pm \
	blib/lib/Log2t/input/ff_cache.pm \
	lib/Log2t/input/mcafeefireup.pm \
	blib/lib/Log2t/input/mcafeefireup.pm \
	lib/Parse/Evtx2/VariantType/Type0x0e.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x0e.pm \
	lib/Log2t/output/mactime.pm \
	blib/lib/Log2t/output/mactime.pm \
	lib/Log2t/input/win7_no_reg.lst \
	blib/lib/Log2t/input/win7_no_reg.lst \
	lib/Log2t/Numbers.pm \
	blib/lib/Log2t/Numbers.pm \
	lib/Log2t/input/mcafeehel.pm \
	blib/lib/Log2t/input/mcafeehel.pm \
	lib/Parse/Evtx2/Chunk.pm \
	blib/lib/Parse/Evtx2/Chunk.pm \
	lib/Log2t/input/jp_ntfs_change.pm \
	blib/lib/Log2t/input/jp_ntfs_change.pm \
	lib/Parse/Evtx2/VariantType/Type0x00.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x00.pm \
	lib/Log2t/input/ntuser.pm \
	blib/lib/Log2t/input/ntuser.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0e.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x0e.pm \
	lib/Parse/Evtx2/VariantType/Type0x07.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x07.pm \
	lib/Log2t/input/ff_bookmark.pm \
	blib/lib/Log2t/input/ff_bookmark.pm \
	l2t_process_old.pl \
	$(INST_LIB)/l2t_process_old.pl \
	lib/Log2t/input/proftpd_xferlog.pm \
	blib/lib/Log2t/input/proftpd_xferlog.pm \
	lib/Log2t/input/iehistory.pm \
	blib/lib/Log2t/input/iehistory.pm \
	lib/Parse/Evtx2/VariantType/Type0x92.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x92.pm \
	lib/Log2t/input/software.pm \
	blib/lib/Log2t/input/software.pm \
	lib/Parse/Evtx2/VariantType/Type0x8b.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x8b.pm \
	lib/Log2t/input/sol.pm \
	blib/lib/Log2t/input/sol.pm \
	lib/Log2t/input/evt.pm \
	blib/lib/Log2t/input/evt.pm \
	lib/Parse/Evtx2/VariantType/Type0x85.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x85.pm \
	lib/Log2t/input/evtx.pm \
	blib/lib/Log2t/input/evtx.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0b.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x0b.pm \
	lib/Log2t/input/macosx.lst \
	blib/lib/Log2t/input/macosx.lst \
	lib/Log2t/input/setupapi.pm \
	blib/lib/Log2t/input/setupapi.pm \
	lib/Log2t/input/system.pm \
	blib/lib/Log2t/input/system.pm \
	lib/Log2t/PreProc/win_sysinfo.pm \
	blib/lib/Log2t/PreProc/win_sysinfo.pm \
	lib/Parse/Evtx2/VariantType/Type0x02.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x02.pm \
	lib/Parse/Evtx2/VariantType/Type0x86.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x86.pm \
	lib/Parse/Evtx2/VariantType/Type0x15.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x15.pm \
	lib/Parse/Evtx2/VariantType/Type0x0c.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x0c.pm \
	lib/Log2t/input/apache2_error.pm \
	blib/lib/Log2t/input/apache2_error.pm \
	lib/Log2t/input/mactime.pm \
	blib/lib/Log2t/input/mactime.pm \
	lib/Log2t/input/pcap.pm \
	blib/lib/Log2t/input/pcap.pm \
	lib/Parse/Evtx2/VariantType/Type0x8c.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x8c.pm \
	lib/Log2t/input/mcafee.pm \
	blib/lib/Log2t/input/mcafee.pm \
	lib/Log2t/input/apache2_access.pm \
	blib/lib/Log2t/input/apache2_access.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0c.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x0c.pm \
	lib/Parse/Evtx2/VariantType/Type0x0b.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x0b.pm \
	lib/Parse/Evtx2/BXmlNode/NameString.pm \
	blib/lib/Parse/Evtx2/BXmlNode/NameString.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x03.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x03.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x05.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x05.pm \
	lib/Log2t/input/pdf.pm \
	blib/lib/Log2t/input/pdf.pm \
	lib/Log2t/input/l2t_csv.pm \
	blib/lib/Log2t/input/l2t_csv.pm \
	lib/Log2t/input/win7.lst \
	blib/lib/Log2t/input/win7.lst \
	lib/Log2t/input/opera.pm \
	blib/lib/Log2t/input/opera.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x04.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x04.pm \
	lib/Parse/Evtx2/VariantType/Type0x14.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x14.pm \
	lib/Parse/Evtx2/BXmlNode/Template.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Template.pm \
	lib/Log2t/input/openvpn.pm \
	blib/lib/Log2t/input/openvpn.pm \
	lib/Log2t/input/mssql_errlog.pm \
	blib/lib/Log2t/input/mssql_errlog.pm \
	lib/Log2t/BinRead.pm \
	blib/lib/Log2t/BinRead.pm \
	lib/Log2t/input/prefetch.pm \
	blib/lib/Log2t/input/prefetch.pm \
	lib/Parse/Evtx2/VariantType/Type0x0f.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x0f.pm \
	lib/Log2t/input/ls_quarantine.pm \
	blib/lib/Log2t/input/ls_quarantine.pm \
	lib/Parse/Evtx2/VariantType/Type0x0a.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x0a.pm \
	lib/Parse/Evtx2/VariantType/Type0x04.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x04.pm \
	lib/Parse/Evtx2/VariantType/Type0x0d.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x0d.pm \
	lib/Log2t/input/skype_sql.pm \
	blib/lib/Log2t/input/skype_sql.pm \
	lib/Log2t/input/win_link.pm \
	blib/lib/Log2t/input/win_link.pm \
	lib/Log2t/Time.pm \
	blib/lib/Log2t/Time.pm \
	lib/Log2t/input/iis.pm \
	blib/lib/Log2t/input/iis.pm \
	lib/Log2t/output/tln.pm \
	blib/lib/Log2t/output/tln.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x06.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x06.pm \
	lib/Parse/Evtx2/VariantType/Type0x8a.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x8a.pm \
	lib/Parse/Evtx2/VariantType/Type0x01.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x01.pm \
	lib/Log2t/input/mft.pm \
	blib/lib/Log2t/input/mft.pm \
	lib/Log2t/output/csv.pm \
	blib/lib/Log2t/output/csv.pm \
	lib/Log2t/input/utmp.pm \
	blib/lib/Log2t/input/utmp.pm \
	lib/Parse/Evtx2/VariantType/Type0x95.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x95.pm \
	lib/Log2t/input/symantec.pm \
	blib/lib/Log2t/input/symantec.pm \
	lib/Log2t/output/cftl.pm \
	blib/lib/Log2t/output/cftl.pm \
	lib/Parse/Evtx2/Event.pm \
	blib/lib/Parse/Evtx2/Event.pm \
	lib/Log2t/input/mcafeehs.pm \
	blib/lib/Log2t/input/mcafeehs.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x01.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x01.pm \
	lib/Parse/Evtx2/BXmlNode/Node0x0f.pm \
	blib/lib/Parse/Evtx2/BXmlNode/Node0x0f.pm \
	lib/Log2t/input/generic_linux.pm \
	blib/lib/Log2t/input/generic_linux.pm \
	lib/Parse/Evtx2/VariantType/Type0x84.pm \
	blib/lib/Parse/Evtx2/VariantType/Type0x84.pm \
	lib/Log2t/input/firefox3.pm \
	blib/lib/Log2t/input/firefox3.pm \
	lib/Log2t/input/winsrv.lst \
	blib/lib/Log2t/input/winsrv.lst \
	lib/Log2t/input/analog_cache.pm \
	blib/lib/Log2t/input/analog_cache.pm \
	lib/Log2t/input/winxp_no_reg.lst \
	blib/lib/Log2t/input/winxp_no_reg.lst


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.57_05
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = Log2t
DISTVNAME = Log2t-0.65


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	LD="$(LD)"\
	PREFIX="$(PREFIX)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

POD2MAN_EXE = $(PERLRUN) "-MExtUtils::Command::MM" -e pod2man "--"
POD2MAN = $(POD2MAN_EXE)


manifypods : pure_all  \
	log2timeline \
	faersluskra2timalina \
	l2t_process_old.pl \
	lib/Log2t/output/beedocs.pm \
	lib/Log2t/input/ff_bookmark.pm \
	lib/Log2t/input/opera.pm \
	l2t_process_old.pl \
	lib/Log2t/input/iehistory.pm \
	lib/Log2t/output/cef.pm \
	lib/Log2t/input/mssql_errlog.pm \
	lib/Log2t/input/sol.pm \
	lib/Log2t/input/evt.pm \
	lib/Log2t/BinRead.pm \
	lib/Log2t/input/altiris.pm \
	lib/Log2t/input/firefox2.pm \
	lib/Parse/Evtx2.pm \
	lib/Log2t/input/evtx.pm \
	lib/Log2t/input/setupapi.pm \
	lib/Log2t/output/tab.pm \
	lib/Log2t/input/encase_dirlisting.pm \
	lib/Log2Timeline.pm \
	lib/Log2t/input/volatility.pm \
	lib/Log2t/base/input.pm \
	lib/Log2t/Time.pm \
	lib/Log2t/output/serialize.pm \
	lib/Log2t/input/pcap.pm \
	lib/Log2t/input/selinux.pm \
	lib/Log2t/input/ftk_dirlisting.pm \
	lib/Log2t/input/mcafee.pm \
	lib/Log2t/input/mft.pm \
	lib/Log2t/output/csv.pm \
	lib/Log2t/input/wmiprov.pm \
	lib/Log2t/input/utmp.pm \
	lib/Log2t/input/mcafeefireup.pm \
	lib/Log2t/input/symantec.pm \
	lib/Log2t/output/cftl.pm \
	lib/Log2t/Numbers.pm \
	lib/Log2t/input/mcafeehel.pm \
	lib/Log2t/input/mcafeehs.pm \
	lib/Parse/Evtx2/Chunk.pm \
	lib/Log2t/input/jp_ntfs_change.pm \
	lib/Log2t/input/pdf.pm
	$(NOECHO) $(POD2MAN) --section=$(MAN1EXT) --perm_rw=$(PERM_RW) \
	  log2timeline $(INST_MAN1DIR)/log2timeline.$(MAN1EXT) \
	  faersluskra2timalina $(INST_MAN1DIR)/faersluskra2timalina.$(MAN1EXT) \
	  l2t_process_old.pl $(INST_MAN1DIR)/l2t_process_old.pl.$(MAN1EXT) 
	$(NOECHO) $(POD2MAN) --section=$(MAN3EXT) --perm_rw=$(PERM_RW) \
	  lib/Log2t/output/beedocs.pm $(INST_MAN3DIR)/Log2t::output::beedocs.$(MAN3EXT) \
	  lib/Log2t/input/ff_bookmark.pm $(INST_MAN3DIR)/Log2t::input::ff_bookmark.$(MAN3EXT) \
	  lib/Log2t/input/opera.pm $(INST_MAN3DIR)/Log2t::input::opera.$(MAN3EXT) \
	  l2t_process_old.pl $(INST_MAN3DIR)/l2t_process_old.$(MAN3EXT) \
	  lib/Log2t/input/iehistory.pm $(INST_MAN3DIR)/Log2t::input::iehistory.$(MAN3EXT) \
	  lib/Log2t/output/cef.pm $(INST_MAN3DIR)/Log2t::output::cef.$(MAN3EXT) \
	  lib/Log2t/input/mssql_errlog.pm $(INST_MAN3DIR)/Log2t::input::mssql_errlog.$(MAN3EXT) \
	  lib/Log2t/input/sol.pm $(INST_MAN3DIR)/Log2t::input::sol.$(MAN3EXT) \
	  lib/Log2t/input/evt.pm $(INST_MAN3DIR)/Log2t::input::evt.$(MAN3EXT) \
	  lib/Log2t/BinRead.pm $(INST_MAN3DIR)/Log2t::BinRead.$(MAN3EXT) \
	  lib/Log2t/input/altiris.pm $(INST_MAN3DIR)/Log2t::input::altiris.$(MAN3EXT) \
	  lib/Log2t/input/firefox2.pm $(INST_MAN3DIR)/Log2t::input::firefox2.$(MAN3EXT) \
	  lib/Parse/Evtx2.pm $(INST_MAN3DIR)/Parse::Evtx2.$(MAN3EXT) \
	  lib/Log2t/input/evtx.pm $(INST_MAN3DIR)/Log2t::input::evtx.$(MAN3EXT) \
	  lib/Log2t/input/setupapi.pm $(INST_MAN3DIR)/Log2t::input::setupapi.$(MAN3EXT) \
	  lib/Log2t/output/tab.pm $(INST_MAN3DIR)/Log2t::output::tab.$(MAN3EXT) \
	  lib/Log2t/input/encase_dirlisting.pm $(INST_MAN3DIR)/Log2t::input::encase_dirlisting.$(MAN3EXT) \
	  lib/Log2Timeline.pm $(INST_MAN3DIR)/Log2Timeline.$(MAN3EXT) \
	  lib/Log2t/input/volatility.pm $(INST_MAN3DIR)/Log2t::input::volatility.$(MAN3EXT) \
	  lib/Log2t/base/input.pm $(INST_MAN3DIR)/Log2t::base::input.$(MAN3EXT) \
	  lib/Log2t/Time.pm $(INST_MAN3DIR)/Log2t::Time.$(MAN3EXT) \
	  lib/Log2t/output/serialize.pm $(INST_MAN3DIR)/Log2t::output::serialize.$(MAN3EXT) \
	  lib/Log2t/input/pcap.pm $(INST_MAN3DIR)/Log2t::input::pcap.$(MAN3EXT) \
	  lib/Log2t/input/selinux.pm $(INST_MAN3DIR)/Log2t::input::selinux.$(MAN3EXT) \
	  lib/Log2t/input/ftk_dirlisting.pm $(INST_MAN3DIR)/Log2t::input::ftk_dirlisting.$(MAN3EXT) \
	  lib/Log2t/input/mcafee.pm $(INST_MAN3DIR)/Log2t::input::mcafee.$(MAN3EXT) \
	  lib/Log2t/input/mft.pm $(INST_MAN3DIR)/Log2t::input::mft.$(MAN3EXT) \
	  lib/Log2t/output/csv.pm $(INST_MAN3DIR)/Log2t::output::csv.$(MAN3EXT) \
	  lib/Log2t/input/wmiprov.pm $(INST_MAN3DIR)/Log2t::input::wmiprov.$(MAN3EXT) \
	  lib/Log2t/input/utmp.pm $(INST_MAN3DIR)/Log2t::input::utmp.$(MAN3EXT) \
	  lib/Log2t/input/mcafeefireup.pm $(INST_MAN3DIR)/Log2t::input::mcafeefireup.$(MAN3EXT) \
	  lib/Log2t/input/symantec.pm $(INST_MAN3DIR)/Log2t::input::symantec.$(MAN3EXT) \
	  lib/Log2t/output/cftl.pm $(INST_MAN3DIR)/Log2t::output::cftl.$(MAN3EXT) \
	  lib/Log2t/Numbers.pm $(INST_MAN3DIR)/Log2t::Numbers.$(MAN3EXT) \
	  lib/Log2t/input/mcafeehel.pm $(INST_MAN3DIR)/Log2t::input::mcafeehel.$(MAN3EXT) \
	  lib/Log2t/input/mcafeehs.pm $(INST_MAN3DIR)/Log2t::input::mcafeehs.$(MAN3EXT) 
	$(NOECHO) $(POD2MAN) --section=$(MAN3EXT) --perm_rw=$(PERM_RW) \
	  lib/Parse/Evtx2/Chunk.pm $(INST_MAN3DIR)/Parse::Evtx2::Chunk.$(MAN3EXT) \
	  lib/Log2t/input/jp_ntfs_change.pm $(INST_MAN3DIR)/Log2t::input::jp_ntfs_change.$(MAN3EXT) \
	  lib/Log2t/input/pdf.pm $(INST_MAN3DIR)/Log2t::input::pdf.$(MAN3EXT) 




# --- MakeMaker processPL section:


# --- MakeMaker installbin section:

EXE_FILES = log2timeline l2t_process_old.pl faersluskra2timalina

pure_all :: $(INST_SCRIPT)/log2timeline $(INST_SCRIPT)/faersluskra2timalina $(INST_SCRIPT)/l2t_process_old.pl
	$(NOECHO) $(NOOP)

realclean ::
	$(RM_F) \
	  $(INST_SCRIPT)/log2timeline $(INST_SCRIPT)/faersluskra2timalina \
	  $(INST_SCRIPT)/l2t_process_old.pl 

$(INST_SCRIPT)/log2timeline : log2timeline $(FIRST_MAKEFILE) $(INST_SCRIPT)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists
	$(NOECHO) $(RM_F) $(INST_SCRIPT)/log2timeline
	$(CP) log2timeline $(INST_SCRIPT)/log2timeline
	$(FIXIN) $(INST_SCRIPT)/log2timeline
	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_SCRIPT)/log2timeline

$(INST_SCRIPT)/faersluskra2timalina : faersluskra2timalina $(FIRST_MAKEFILE) $(INST_SCRIPT)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists
	$(NOECHO) $(RM_F) $(INST_SCRIPT)/faersluskra2timalina
	$(CP) faersluskra2timalina $(INST_SCRIPT)/faersluskra2timalina
	$(FIXIN) $(INST_SCRIPT)/faersluskra2timalina
	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_SCRIPT)/faersluskra2timalina

$(INST_SCRIPT)/l2t_process_old.pl : l2t_process_old.pl $(FIRST_MAKEFILE) $(INST_SCRIPT)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists
	$(NOECHO) $(RM_F) $(INST_SCRIPT)/l2t_process_old.pl
	$(CP) l2t_process_old.pl $(INST_SCRIPT)/l2t_process_old.pl
	$(FIXIN) $(INST_SCRIPT)/l2t_process_old.pl
	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_SCRIPT)/l2t_process_old.pl



# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean_subdirs section:
clean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean :: clean_subdirs
	- $(RM_F) \
	  *$(LIB_EXT) core \
	  core.[0-9] $(INST_ARCHAUTODIR)/extralibs.all \
	  core.[0-9][0-9] $(BASEEXT).bso \
	  pm_to_blib.ts core.[0-9][0-9][0-9][0-9] \
	  MYMETA.yml $(BASEEXT).x \
	  $(BOOTSTRAP) perl$(EXE_EXT) \
	  tmon.out *$(OBJ_EXT) \
	  pm_to_blib $(INST_ARCHAUTODIR)/extralibs.ld \
	  blibdirs.ts core.[0-9][0-9][0-9][0-9][0-9] \
	  *perl.core core.*perl.*.? \
	  $(MAKE_APERL_FILE) $(BASEEXT).def \
	  perl core.[0-9][0-9][0-9] \
	  mon.out lib$(BASEEXT).def \
	  perlmain.c perl.exe \
	  so_locations $(BASEEXT).exp 
	- $(RM_RF) \
	  blib 
	- $(MV) $(FIRST_MAKEFILE) $(MAKEFILE_OLD) $(DEV_NULL)


# --- MakeMaker realclean_subdirs section:
realclean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker realclean section:
# Delete temporary files (via clean) and also delete dist files
realclean purge ::  clean realclean_subdirs
	- $(RM_F) \
	  $(MAKEFILE_OLD) $(FIRST_MAKEFILE) 
	- $(RM_RF) \
	  $(DISTVNAME) 


# --- MakeMaker metafile section:
metafile : create_distdir
	$(NOECHO) $(ECHO) Generating META.yml
	$(NOECHO) $(ECHO) '--- #YAML:1.0' > META_new.yml
	$(NOECHO) $(ECHO) 'name:               Log2t' >> META_new.yml
	$(NOECHO) $(ECHO) 'version:            0.65' >> META_new.yml
	$(NOECHO) $(ECHO) 'abstract:           An automatic tool to extract super timelines from files' >> META_new.yml
	$(NOECHO) $(ECHO) 'author:' >> META_new.yml
	$(NOECHO) $(ECHO) '    - kristinn@log2timeline.net' >> META_new.yml
	$(NOECHO) $(ECHO) 'license:            gpl' >> META_new.yml
	$(NOECHO) $(ECHO) 'distribution_type:  module' >> META_new.yml
	$(NOECHO) $(ECHO) 'configure_requires:' >> META_new.yml
	$(NOECHO) $(ECHO) '    ExtUtils::MakeMaker:  0' >> META_new.yml
	$(NOECHO) $(ECHO) 'build_requires:' >> META_new.yml
	$(NOECHO) $(ECHO) '    ExtUtils::MakeMaker:  0' >> META_new.yml
	$(NOECHO) $(ECHO) 'requires:' >> META_new.yml
	$(NOECHO) $(ECHO) '    Archive::Zip:         1.18' >> META_new.yml
	$(NOECHO) $(ECHO) '    Carp:                 0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Carp::Assert:         0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Data::Hexify:         0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Date::Manip:          0' >> META_new.yml
	$(NOECHO) $(ECHO) '    DateTime:             0.41' >> META_new.yml
	$(NOECHO) $(ECHO) '    DateTime::Format::Strptime:  0' >> META_new.yml
	$(NOECHO) $(ECHO) '    DateTime::TimeZone:   0' >> META_new.yml
	$(NOECHO) $(ECHO) '    DBD::SQLite:          0' >> META_new.yml
	$(NOECHO) $(ECHO) '    DBI:                  1.52' >> META_new.yml
	$(NOECHO) $(ECHO) '    Digest::CRC:          0.14' >> META_new.yml
	$(NOECHO) $(ECHO) '    Digest::MD5:          0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Encode:               0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Fcntl:                0' >> META_new.yml
	$(NOECHO) $(ECHO) '    File::Copy:           0' >> META_new.yml
	$(NOECHO) $(ECHO) '    File::Mork:           0.3' >> META_new.yml
	$(NOECHO) $(ECHO) '    Getopt::Long:         0' >> META_new.yml
	$(NOECHO) $(ECHO) '    HTML::Parser:         0' >> META_new.yml
	$(NOECHO) $(ECHO) '    HTML::Scrubber:       0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Image::ExifTool:      0' >> META_new.yml
	$(NOECHO) $(ECHO) '    LWP::UserAgent:       0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Mac::PropertyList:    0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Math::BigInt:         0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Net::Pcap:            0' >> META_new.yml
	$(NOECHO) $(ECHO) '    NetPacket::Ethernet:  0' >> META_new.yml
	$(NOECHO) $(ECHO) '    NetPacket::IP:        0' >> META_new.yml
	$(NOECHO) $(ECHO) '    NetPacket::TCP:       0' >> META_new.yml
	$(NOECHO) $(ECHO) '    NetPacket::UDP:       0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Params::Validate:     0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Parse::Win32Registry:  0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Pod::Usage:           0' >> META_new.yml
	$(NOECHO) $(ECHO) '    Test::More:           0.88' >> META_new.yml
	$(NOECHO) $(ECHO) '    Time::localtime:      0' >> META_new.yml
	$(NOECHO) $(ECHO) '    version:              0' >> META_new.yml
	$(NOECHO) $(ECHO) '    XML::LibXML:          0' >> META_new.yml
	$(NOECHO) $(ECHO) '    XML::LibXML::Common:  0' >> META_new.yml
	$(NOECHO) $(ECHO) 'no_index:' >> META_new.yml
	$(NOECHO) $(ECHO) '    directory:' >> META_new.yml
	$(NOECHO) $(ECHO) '        - t' >> META_new.yml
	$(NOECHO) $(ECHO) '        - inc' >> META_new.yml
	$(NOECHO) $(ECHO) 'generated_by:       ExtUtils::MakeMaker version 6.57_05' >> META_new.yml
	$(NOECHO) $(ECHO) 'meta-spec:' >> META_new.yml
	$(NOECHO) $(ECHO) '    url:      http://module-build.sourceforge.net/META-spec-v1.4.html' >> META_new.yml
	$(NOECHO) $(ECHO) '    version:  1.4' >> META_new.yml
	-$(NOECHO) $(MV) META_new.yml $(DISTVNAME)/META.yml


# --- MakeMaker signature section:
signature :
	cpansign -s


# --- MakeMaker dist_basics section:
distclean :: realclean distcheck
	$(NOECHO) $(NOOP)

distcheck :
	$(PERLRUN) "-MExtUtils::Manifest=fullcheck" -e fullcheck

skipcheck :
	$(PERLRUN) "-MExtUtils::Manifest=skipcheck" -e skipcheck

manifest :
	$(PERLRUN) "-MExtUtils::Manifest=mkmanifest" -e mkmanifest

veryclean : realclean
	$(RM_F) *~ */*~ *.orig */*.orig *.bak */*.bak *.old */*.old 



# --- MakeMaker dist_core section:

dist : $(DIST_DEFAULT) $(FIRST_MAKEFILE)
	$(NOECHO) $(ABSPERLRUN) -l -e 'print '\''Warning: Makefile possibly out of date with $(VERSION_FROM)'\''' \
	  -e '    if -e '\''$(VERSION_FROM)'\'' and -M '\''$(VERSION_FROM)'\'' < -M '\''$(FIRST_MAKEFILE)'\'';' --

tardist : $(DISTVNAME).tar$(SUFFIX)
	$(NOECHO) $(NOOP)

uutardist : $(DISTVNAME).tar$(SUFFIX)
	uuencode $(DISTVNAME).tar$(SUFFIX) $(DISTVNAME).tar$(SUFFIX) > $(DISTVNAME).tar$(SUFFIX)_uu

$(DISTVNAME).tar$(SUFFIX) : distdir
	$(PREOP)
	$(TO_UNIX)
	$(TAR) $(TARFLAGS) $(DISTVNAME).tar $(DISTVNAME)
	$(RM_RF) $(DISTVNAME)
	$(COMPRESS) $(DISTVNAME).tar
	$(POSTOP)

zipdist : $(DISTVNAME).zip
	$(NOECHO) $(NOOP)

$(DISTVNAME).zip : distdir
	$(PREOP)
	$(ZIP) $(ZIPFLAGS) $(DISTVNAME).zip $(DISTVNAME)
	$(RM_RF) $(DISTVNAME)
	$(POSTOP)

shdist : distdir
	$(PREOP)
	$(SHAR) $(DISTVNAME) > $(DISTVNAME).shar
	$(RM_RF) $(DISTVNAME)
	$(POSTOP)


# --- MakeMaker distdir section:
create_distdir :
	$(RM_RF) $(DISTVNAME)
	$(PERLRUN) "-MExtUtils::Manifest=manicopy,maniread" \
		-e "manicopy(maniread(),'$(DISTVNAME)', '$(DIST_CP)');"

distdir : create_distdir distmeta 
	$(NOECHO) $(NOOP)



# --- MakeMaker dist_test section:
disttest : distdir
	cd $(DISTVNAME) && $(ABSPERLRUN) Makefile.PL 
	cd $(DISTVNAME) && $(MAKE) $(PASTHRU)
	cd $(DISTVNAME) && $(MAKE) test $(PASTHRU)



# --- MakeMaker dist_ci section:

ci :
	$(PERLRUN) "-MExtUtils::Manifest=maniread" \
	  -e "@all = keys %{ maniread() };" \
	  -e "print(qq{Executing $(CI) @all\n}); system(qq{$(CI) @all});" \
	  -e "print(qq{Executing $(RCS_LABEL) ...\n}); system(qq{$(RCS_LABEL) @all});"


# --- MakeMaker distmeta section:
distmeta : create_distdir metafile
	$(NOECHO) cd $(DISTVNAME) && $(ABSPERLRUN) -MExtUtils::Manifest=maniadd -e 'eval { maniadd({q{META.yml} => q{Module meta-data (added by MakeMaker)}}) } ' \
	  -e '    or print "Could not add META.yml to MANIFEST: $${'\''@'\''}\n"' --



# --- MakeMaker distsignature section:
distsignature : create_distdir
	$(NOECHO) cd $(DISTVNAME) && $(ABSPERLRUN) -MExtUtils::Manifest=maniadd -e 'eval { maniadd({q{SIGNATURE} => q{Public-key signature (added by MakeMaker)}}) } ' \
	  -e '    or print "Could not add SIGNATURE to MANIFEST: $${'\''@'\''}\n"' --
	$(NOECHO) cd $(DISTVNAME) && $(TOUCH) SIGNATURE
	cd $(DISTVNAME) && cpansign -s



# --- MakeMaker install section:

install :: pure_install doc_install
	$(NOECHO) $(NOOP)

install_perl :: pure_perl_install doc_perl_install
	$(NOECHO) $(NOOP)

install_site :: pure_site_install doc_site_install
	$(NOECHO) $(NOOP)

install_vendor :: pure_vendor_install doc_vendor_install
	$(NOECHO) $(NOOP)

pure_install :: pure_$(INSTALLDIRS)_install
	$(NOECHO) $(NOOP)

doc_install :: doc_$(INSTALLDIRS)_install
	$(NOECHO) $(NOOP)

pure__install : pure_site_install
	$(NOECHO) $(ECHO) INSTALLDIRS not defined, defaulting to INSTALLDIRS=site

doc__install : doc_site_install
	$(NOECHO) $(ECHO) INSTALLDIRS not defined, defaulting to INSTALLDIRS=site

pure_perl_install :: all
	$(NOECHO) umask 022; $(MOD_INSTALL) \
		$(INST_LIB) $(DESTINSTALLPRIVLIB) \
		$(INST_ARCHLIB) $(DESTINSTALLARCHLIB) \
		$(INST_BIN) $(DESTINSTALLBIN) \
		$(INST_SCRIPT) $(DESTINSTALLSCRIPT) \
		$(INST_MAN1DIR) $(DESTINSTALLMAN1DIR) \
		$(INST_MAN3DIR) $(DESTINSTALLMAN3DIR)
	$(NOECHO) $(WARN_IF_OLD_PACKLIST) \
		$(SITEARCHEXP)/auto/$(FULLEXT)


pure_site_install :: all
	$(NOECHO) umask 02; $(MOD_INSTALL) \
		read $(SITEARCHEXP)/auto/$(FULLEXT)/.packlist \
		write $(DESTINSTALLSITEARCH)/auto/$(FULLEXT)/.packlist \
		$(INST_LIB) $(DESTINSTALLSITELIB) \
		$(INST_ARCHLIB) $(DESTINSTALLSITEARCH) \
		$(INST_BIN) $(DESTINSTALLSITEBIN) \
		$(INST_SCRIPT) $(DESTINSTALLSITESCRIPT) \
		$(INST_MAN1DIR) $(DESTINSTALLSITEMAN1DIR) \
		$(INST_MAN3DIR) $(DESTINSTALLSITEMAN3DIR)
	$(NOECHO) $(WARN_IF_OLD_PACKLIST) \
		$(PERL_ARCHLIB)/auto/$(FULLEXT)

pure_vendor_install :: all
	$(NOECHO) umask 022; $(MOD_INSTALL) \
		$(INST_LIB) $(DESTINSTALLVENDORLIB) \
		$(INST_ARCHLIB) $(DESTINSTALLVENDORARCH) \
		$(INST_BIN) $(DESTINSTALLVENDORBIN) \
		$(INST_SCRIPT) $(DESTINSTALLVENDORSCRIPT) \
		$(INST_MAN1DIR) $(DESTINSTALLVENDORMAN1DIR) \
		$(INST_MAN3DIR) $(DESTINSTALLVENDORMAN3DIR)

doc_perl_install :: all

doc_site_install :: all
	$(NOECHO) $(ECHO) Appending installation info to $(DESTINSTALLSITEARCH)/perllocal.pod
	-$(NOECHO) umask 02; $(MKPATH) $(DESTINSTALLSITEARCH)
	-$(NOECHO) umask 02; $(DOC_INSTALL) \
		"Module" "$(NAME)" \
		"installed into" "$(INSTALLSITELIB)" \
		LINKTYPE "$(LINKTYPE)" \
		VERSION "$(VERSION)" \
		EXE_FILES "$(EXE_FILES)" \
		>> $(DESTINSTALLSITEARCH)/perllocal.pod

doc_vendor_install :: all


uninstall :: uninstall_from_$(INSTALLDIRS)dirs
	$(NOECHO) $(NOOP)

uninstall_from_perldirs ::

uninstall_from_sitedirs ::
	$(NOECHO) $(UNINSTALL) $(SITEARCHEXP)/auto/$(FULLEXT)/.packlist

uninstall_from_vendordirs ::



# --- MakeMaker force section:
# Phony target to force checking subdirectories.
FORCE :
	$(NOECHO) $(NOOP)


# --- MakeMaker perldepend section:


# --- MakeMaker makefile section:
# We take a very conservative approach here, but it's worth it.
# We move Makefile to Makefile.old here to avoid gnu make looping.
$(FIRST_MAKEFILE) : Makefile.PL $(CONFIGDEP)
	$(NOECHO) $(ECHO) "Makefile out-of-date with respect to $?"
	$(NOECHO) $(ECHO) "Cleaning current config before rebuilding Makefile..."
	-$(NOECHO) $(RM_F) $(MAKEFILE_OLD)
	-$(NOECHO) $(MV)   $(FIRST_MAKEFILE) $(MAKEFILE_OLD)
	- $(MAKE) $(USEMAKEFILE) $(MAKEFILE_OLD) clean $(DEV_NULL)
	$(PERLRUN) Makefile.PL 
	$(NOECHO) $(ECHO) "==> Your Makefile has been rebuilt. <=="
	$(NOECHO) $(ECHO) "==> Please rerun the $(MAKE) command.  <=="
	$(FALSE)



# --- MakeMaker staticmake section:

# --- MakeMaker makeaperl section ---
MAP_TARGET    = perl
FULLPERL      = /usr/bin/perl

$(MAP_TARGET) :: static $(MAKE_APERL_FILE)
	$(MAKE) $(USEMAKEFILE) $(MAKE_APERL_FILE) $@

$(MAKE_APERL_FILE) : $(FIRST_MAKEFILE) pm_to_blib
	$(NOECHO) $(ECHO) Writing \"$(MAKE_APERL_FILE)\" for this $(MAP_TARGET)
	$(NOECHO) $(PERLRUNINST) \
		Makefile.PL DIR= \
		MAKEFILE=$(MAKE_APERL_FILE) LINKTYPE=static \
		MAKEAPERL=1 NORECURS=1 CCCDLFLAGS=


# --- MakeMaker test section:

TEST_VERBOSE=0
TEST_TYPE=test_$(LINKTYPE)
TEST_FILE = test.pl
TEST_FILES = t/*.t
TESTDB_SW = -d

testdb :: testdb_$(LINKTYPE)

test :: $(TEST_TYPE) subdirs-test

subdirs-test ::
	$(NOECHO) $(NOOP)


test_dynamic :: pure_all
	PERL_DL_NONLAZY=1 $(FULLPERLRUN) "-MExtUtils::Command::MM" "-e" "test_harness($(TEST_VERBOSE), '$(INST_LIB)', '$(INST_ARCHLIB)')" $(TEST_FILES)

testdb_dynamic :: pure_all
	PERL_DL_NONLAZY=1 $(FULLPERLRUN) $(TESTDB_SW) "-I$(INST_LIB)" "-I$(INST_ARCHLIB)" $(TEST_FILE)

test_ : test_dynamic

test_static :: test_dynamic
testdb_static :: testdb_dynamic


# --- MakeMaker ppd section:
# Creates a PPD (Perl Package Description) for a binary distribution.
ppd :
	$(NOECHO) $(ECHO) '<SOFTPKG NAME="$(DISTNAME)" VERSION="0.65">' > $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '    <ABSTRACT>An automatic tool to extract super timelines from files</ABSTRACT>' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '    <AUTHOR>kristinn@log2timeline.net</AUTHOR>' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '    <IMPLEMENTATION>' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Archive::Zip" VERSION="1.18" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Carp::" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Carp::Assert" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="DBD::SQLite" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="DBI::" VERSION="1.52" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Data::Hexify" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Date::Manip" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="DateTime::" VERSION="0.41" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="DateTime::Format::Strptime" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="DateTime::TimeZone" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Digest::CRC" VERSION="0.14" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Digest::MD5" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Encode::" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Fcntl::" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="File::Copy" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="File::Mork" VERSION="0.3" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Getopt::Long" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="HTML::Parser" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="HTML::Scrubber" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Image::ExifTool" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="LWP::UserAgent" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Mac::PropertyList" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Math::BigInt" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Net::Pcap" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="NetPacket::Ethernet" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="NetPacket::IP" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="NetPacket::TCP" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="NetPacket::UDP" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Params::Validate" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Parse::Win32Registry" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Pod::Usage" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Test::More" VERSION="0.88" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="Time::localtime" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="XML::LibXML" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="XML::LibXML::Common" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <REQUIRE NAME="version::" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <ARCHITECTURE NAME="i686-linux-gnu-thread-multi-64int-5.14" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '        <CODEBASE HREF="" />' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '    </IMPLEMENTATION>' >> $(DISTNAME).ppd
	$(NOECHO) $(ECHO) '</SOFTPKG>' >> $(DISTNAME).ppd


# --- MakeMaker pm_to_blib section:

pm_to_blib : $(FIRST_MAKEFILE) $(TO_INST_PM)
	$(NOECHO) $(ABSPERLRUN) -MExtUtils::Install -e 'pm_to_blib({@ARGV}, '\''$(INST_LIB)/auto'\'', q[$(PM_FILTER)], '\''$(PERM_DIR)'\'')' -- \
	  lib/Parse/Evtx2/VariantType/Type0x21.pm blib/lib/Parse/Evtx2/VariantType/Type0x21.pm \
	  lib/Parse/Evtx2/VariantType/Type0x09.pm blib/lib/Parse/Evtx2/VariantType/Type0x09.pm \
	  lib/Log2t/output/cef.pm blib/lib/Log2t/output/cef.pm \
	  lib/Log2t/input/altiris.pm blib/lib/Log2t/input/altiris.pm \
	  lib/Parse/Evtx2/Const.pm blib/lib/Parse/Evtx2/Const.pm \
	  lib/Log2t/input/firefox2.pm blib/lib/Log2t/input/firefox2.pm \
	  lib/Log2t/input/tln.pm blib/lib/Log2t/input/tln.pm \
	  lib/Parse/Evtx2/VariantType/Type0x03.pm blib/lib/Parse/Evtx2/VariantType/Type0x03.pm \
	  lib/Log2t/output/tab.pm blib/lib/Log2t/output/tab.pm \
	  lib/Log2t/PreProc/user_browser.pm blib/lib/Log2t/PreProc/user_browser.pm \
	  lib/Log2t/input/encase_dirlisting.pm blib/lib/Log2t/input/encase_dirlisting.pm \
	  lib/Log2t/input/sam.pm blib/lib/Log2t/input/sam.pm \
	  lib/Log2Timeline.pm blib/lib/Log2Timeline.pm \
	  lib/Log2t/input/security.pm blib/lib/Log2t/input/security.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x02.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x02.pm \
	  lib/Log2t/base/input.pm blib/lib/Log2t/base/input.pm \
	  lib/Log2t/WinReg.pm blib/lib/Log2t/WinReg.pm \
	  lib/Parse/Evtx2/VariantType/Type0x88.pm blib/lib/Parse/Evtx2/VariantType/Type0x88.pm \
	  lib/Log2t/input/xpfirewall.pm blib/lib/Log2t/input/xpfirewall.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x07.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x07.pm \
	  lib/Log2t/input/restore.pm blib/lib/Log2t/input/restore.pm \
	  lib/Log2t/input/linux.lst blib/lib/Log2t/input/linux.lst \
	  lib/Parse/Evtx2/VariantType/Type0x87.pm blib/lib/Parse/Evtx2/VariantType/Type0x87.pm \
	  lib/Parse/Evtx2/VariantType/Type0x94.pm blib/lib/Parse/Evtx2/VariantType/Type0x94.pm \
	  lib/Log2t/input/squid.pm blib/lib/Log2t/input/squid.pm \
	  lib/Log2t/input/exif.pm blib/lib/Log2t/input/exif.pm \
	  lib/Parse/Evtx2/VariantType/Type0x05.pm blib/lib/Parse/Evtx2/VariantType/Type0x05.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x0a.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x0a.pm \
	  lib/Parse/Evtx2/BXmlNode/Root.pm blib/lib/Parse/Evtx2/BXmlNode/Root.pm \
	  lib/Log2t/input/webhist.lst blib/lib/Log2t/input/webhist.lst \
	  lib/Parse/Evtx2/VariantType/Type0x06.pm blib/lib/Parse/Evtx2/VariantType/Type0x06.pm \
	  lib/Parse/Evtx2/VariantType/Type0x91.pm blib/lib/Parse/Evtx2/VariantType/Type0x91.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x0d.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x0d.pm \
	  lib/Parse/Evtx2/VariantType/Type0x10.pm blib/lib/Parse/Evtx2/VariantType/Type0x10.pm \
	  lib/Log2t/input/isatxt.pm blib/lib/Log2t/input/isatxt.pm \
	  lib/Log2t/input/safari.pm blib/lib/Log2t/input/safari.pm \
	  lib/Log2t/Common.pm blib/lib/Log2t/Common.pm \
	  lib/Log2t/Network.pm blib/lib/Log2t/Network.pm 
	$(NOECHO) $(ABSPERLRUN) -MExtUtils::Install -e 'pm_to_blib({@ARGV}, '\''$(INST_LIB)/auto'\'', q[$(PM_FILTER)], '\''$(PERM_DIR)'\'')' -- \
	  lib/Parse/Evtx2/BXmlNode/SubstArray.pm blib/lib/Parse/Evtx2/BXmlNode/SubstArray.pm \
	  lib/Log2t/input/urlsnarf.pm blib/lib/Log2t/input/urlsnarf.pm \
	  lib/Log2t/input/winxp.lst blib/lib/Log2t/input/winxp.lst \
	  lib/Log2t/output/beedocs.pm blib/lib/Log2t/output/beedocs.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x00.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x00.pm \
	  lib/Parse/Evtx2/VariantType/Type0x81.pm blib/lib/Parse/Evtx2/VariantType/Type0x81.pm \
	  lib/Log2t/output/sqlite.pm blib/lib/Log2t/output/sqlite.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x09.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x09.pm \
	  lib/Parse/Evtx2/VariantType/Type0x13.pm blib/lib/Parse/Evtx2/VariantType/Type0x13.pm \
	  lib/Parse/Evtx2.pm blib/lib/Parse/Evtx2.pm \
	  lib/Log2t/output/tlnx.pm blib/lib/Log2t/output/tlnx.pm \
	  lib/Parse/Evtx2/VariantType/Type0x11.pm blib/lib/Parse/Evtx2/VariantType/Type0x11.pm \
	  lib/Log2t/Win.pm blib/lib/Log2t/Win.pm \
	  lib/Parse/Evtx2/VariantType/Type0x83.pm blib/lib/Parse/Evtx2/VariantType/Type0x83.pm \
	  lib/Parse/Evtx2/VariantType/Type0x89.pm blib/lib/Parse/Evtx2/VariantType/Type0x89.pm \
	  lib/Log2t/output/simile.pm blib/lib/Log2t/output/simile.pm \
	  lib/Parse/Evtx2/BXmlNode.pm blib/lib/Parse/Evtx2/BXmlNode.pm \
	  lib/Parse/Evtx2/VariantType.pm blib/lib/Parse/Evtx2/VariantType.pm \
	  lib/Log2t/input/volatility.pm blib/lib/Log2t/input/volatility.pm \
	  lib/Log2t/output/serialize.pm blib/lib/Log2t/output/serialize.pm \
	  lib/Log2t/input/selinux.pm blib/lib/Log2t/input/selinux.pm \
	  lib/Log2t/input/ftk_dirlisting.pm blib/lib/Log2t/input/ftk_dirlisting.pm \
	  lib/Log2t/input/oxml.pm blib/lib/Log2t/input/oxml.pm \
	  lib/Parse/Evtx2/VariantType/Type0x8f.pm blib/lib/Parse/Evtx2/VariantType/Type0x8f.pm \
	  lib/Log2t/input/chrome.pm blib/lib/Log2t/input/chrome.pm \
	  lib/Log2t/input/syslog.pm blib/lib/Log2t/input/syslog.pm \
	  lib/Log2t/input/recycler.pm blib/lib/Log2t/input/recycler.pm \
	  lib/Parse/Evtx2/VariantType/Type0x08.pm blib/lib/Parse/Evtx2/VariantType/Type0x08.pm \
	  lib/Parse/Evtx2/VariantType/Type0x12.pm blib/lib/Parse/Evtx2/VariantType/Type0x12.pm \
	  lib/Log2t/input/wmiprov.pm blib/lib/Log2t/input/wmiprov.pm \
	  lib/Log2t/output/mactime_l.pm blib/lib/Log2t/output/mactime_l.pm \
	  lib/Log2t/input/ff_cache.pm blib/lib/Log2t/input/ff_cache.pm \
	  lib/Log2t/input/mcafeefireup.pm blib/lib/Log2t/input/mcafeefireup.pm \
	  lib/Parse/Evtx2/VariantType/Type0x0e.pm blib/lib/Parse/Evtx2/VariantType/Type0x0e.pm \
	  lib/Log2t/output/mactime.pm blib/lib/Log2t/output/mactime.pm \
	  lib/Log2t/input/win7_no_reg.lst blib/lib/Log2t/input/win7_no_reg.lst \
	  lib/Log2t/Numbers.pm blib/lib/Log2t/Numbers.pm \
	  lib/Log2t/input/mcafeehel.pm blib/lib/Log2t/input/mcafeehel.pm 
	$(NOECHO) $(ABSPERLRUN) -MExtUtils::Install -e 'pm_to_blib({@ARGV}, '\''$(INST_LIB)/auto'\'', q[$(PM_FILTER)], '\''$(PERM_DIR)'\'')' -- \
	  lib/Parse/Evtx2/Chunk.pm blib/lib/Parse/Evtx2/Chunk.pm \
	  lib/Log2t/input/jp_ntfs_change.pm blib/lib/Log2t/input/jp_ntfs_change.pm \
	  lib/Parse/Evtx2/VariantType/Type0x00.pm blib/lib/Parse/Evtx2/VariantType/Type0x00.pm \
	  lib/Log2t/input/ntuser.pm blib/lib/Log2t/input/ntuser.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x0e.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x0e.pm \
	  lib/Parse/Evtx2/VariantType/Type0x07.pm blib/lib/Parse/Evtx2/VariantType/Type0x07.pm \
	  lib/Log2t/input/ff_bookmark.pm blib/lib/Log2t/input/ff_bookmark.pm \
	  l2t_process_old.pl $(INST_LIB)/l2t_process_old.pl \
	  lib/Log2t/input/proftpd_xferlog.pm blib/lib/Log2t/input/proftpd_xferlog.pm \
	  lib/Log2t/input/iehistory.pm blib/lib/Log2t/input/iehistory.pm \
	  lib/Parse/Evtx2/VariantType/Type0x92.pm blib/lib/Parse/Evtx2/VariantType/Type0x92.pm \
	  lib/Log2t/input/software.pm blib/lib/Log2t/input/software.pm \
	  lib/Parse/Evtx2/VariantType/Type0x8b.pm blib/lib/Parse/Evtx2/VariantType/Type0x8b.pm \
	  lib/Log2t/input/sol.pm blib/lib/Log2t/input/sol.pm \
	  lib/Log2t/input/evt.pm blib/lib/Log2t/input/evt.pm \
	  lib/Parse/Evtx2/VariantType/Type0x85.pm blib/lib/Parse/Evtx2/VariantType/Type0x85.pm \
	  lib/Log2t/input/evtx.pm blib/lib/Log2t/input/evtx.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x0b.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x0b.pm \
	  lib/Log2t/input/macosx.lst blib/lib/Log2t/input/macosx.lst \
	  lib/Log2t/input/setupapi.pm blib/lib/Log2t/input/setupapi.pm \
	  lib/Log2t/input/system.pm blib/lib/Log2t/input/system.pm \
	  lib/Log2t/PreProc/win_sysinfo.pm blib/lib/Log2t/PreProc/win_sysinfo.pm \
	  lib/Parse/Evtx2/VariantType/Type0x02.pm blib/lib/Parse/Evtx2/VariantType/Type0x02.pm \
	  lib/Parse/Evtx2/VariantType/Type0x86.pm blib/lib/Parse/Evtx2/VariantType/Type0x86.pm \
	  lib/Parse/Evtx2/VariantType/Type0x15.pm blib/lib/Parse/Evtx2/VariantType/Type0x15.pm \
	  lib/Parse/Evtx2/VariantType/Type0x0c.pm blib/lib/Parse/Evtx2/VariantType/Type0x0c.pm \
	  lib/Log2t/input/apache2_error.pm blib/lib/Log2t/input/apache2_error.pm \
	  lib/Log2t/input/mactime.pm blib/lib/Log2t/input/mactime.pm \
	  lib/Log2t/input/pcap.pm blib/lib/Log2t/input/pcap.pm \
	  lib/Parse/Evtx2/VariantType/Type0x8c.pm blib/lib/Parse/Evtx2/VariantType/Type0x8c.pm \
	  lib/Log2t/input/mcafee.pm blib/lib/Log2t/input/mcafee.pm \
	  lib/Log2t/input/apache2_access.pm blib/lib/Log2t/input/apache2_access.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x0c.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x0c.pm \
	  lib/Parse/Evtx2/VariantType/Type0x0b.pm blib/lib/Parse/Evtx2/VariantType/Type0x0b.pm \
	  lib/Parse/Evtx2/BXmlNode/NameString.pm blib/lib/Parse/Evtx2/BXmlNode/NameString.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x03.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x03.pm 
	$(NOECHO) $(ABSPERLRUN) -MExtUtils::Install -e 'pm_to_blib({@ARGV}, '\''$(INST_LIB)/auto'\'', q[$(PM_FILTER)], '\''$(PERM_DIR)'\'')' -- \
	  lib/Parse/Evtx2/BXmlNode/Node0x05.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x05.pm \
	  lib/Log2t/input/pdf.pm blib/lib/Log2t/input/pdf.pm \
	  lib/Log2t/input/l2t_csv.pm blib/lib/Log2t/input/l2t_csv.pm \
	  lib/Log2t/input/win7.lst blib/lib/Log2t/input/win7.lst \
	  lib/Log2t/input/opera.pm blib/lib/Log2t/input/opera.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x04.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x04.pm \
	  lib/Parse/Evtx2/VariantType/Type0x14.pm blib/lib/Parse/Evtx2/VariantType/Type0x14.pm \
	  lib/Parse/Evtx2/BXmlNode/Template.pm blib/lib/Parse/Evtx2/BXmlNode/Template.pm \
	  lib/Log2t/input/openvpn.pm blib/lib/Log2t/input/openvpn.pm \
	  lib/Log2t/input/mssql_errlog.pm blib/lib/Log2t/input/mssql_errlog.pm \
	  lib/Log2t/BinRead.pm blib/lib/Log2t/BinRead.pm \
	  lib/Log2t/input/prefetch.pm blib/lib/Log2t/input/prefetch.pm \
	  lib/Parse/Evtx2/VariantType/Type0x0f.pm blib/lib/Parse/Evtx2/VariantType/Type0x0f.pm \
	  lib/Log2t/input/ls_quarantine.pm blib/lib/Log2t/input/ls_quarantine.pm \
	  lib/Parse/Evtx2/VariantType/Type0x0a.pm blib/lib/Parse/Evtx2/VariantType/Type0x0a.pm \
	  lib/Parse/Evtx2/VariantType/Type0x04.pm blib/lib/Parse/Evtx2/VariantType/Type0x04.pm \
	  lib/Parse/Evtx2/VariantType/Type0x0d.pm blib/lib/Parse/Evtx2/VariantType/Type0x0d.pm \
	  lib/Log2t/input/skype_sql.pm blib/lib/Log2t/input/skype_sql.pm \
	  lib/Log2t/input/win_link.pm blib/lib/Log2t/input/win_link.pm \
	  lib/Log2t/Time.pm blib/lib/Log2t/Time.pm \
	  lib/Log2t/input/iis.pm blib/lib/Log2t/input/iis.pm \
	  lib/Log2t/output/tln.pm blib/lib/Log2t/output/tln.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x06.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x06.pm \
	  lib/Parse/Evtx2/VariantType/Type0x8a.pm blib/lib/Parse/Evtx2/VariantType/Type0x8a.pm \
	  lib/Parse/Evtx2/VariantType/Type0x01.pm blib/lib/Parse/Evtx2/VariantType/Type0x01.pm \
	  lib/Log2t/input/mft.pm blib/lib/Log2t/input/mft.pm \
	  lib/Log2t/output/csv.pm blib/lib/Log2t/output/csv.pm \
	  lib/Log2t/input/utmp.pm blib/lib/Log2t/input/utmp.pm \
	  lib/Parse/Evtx2/VariantType/Type0x95.pm blib/lib/Parse/Evtx2/VariantType/Type0x95.pm \
	  lib/Log2t/input/symantec.pm blib/lib/Log2t/input/symantec.pm \
	  lib/Log2t/output/cftl.pm blib/lib/Log2t/output/cftl.pm \
	  lib/Parse/Evtx2/Event.pm blib/lib/Parse/Evtx2/Event.pm \
	  lib/Log2t/input/mcafeehs.pm blib/lib/Log2t/input/mcafeehs.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x01.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x01.pm \
	  lib/Parse/Evtx2/BXmlNode/Node0x0f.pm blib/lib/Parse/Evtx2/BXmlNode/Node0x0f.pm \
	  lib/Log2t/input/generic_linux.pm blib/lib/Log2t/input/generic_linux.pm \
	  lib/Parse/Evtx2/VariantType/Type0x84.pm blib/lib/Parse/Evtx2/VariantType/Type0x84.pm \
	  lib/Log2t/input/firefox3.pm blib/lib/Log2t/input/firefox3.pm 
	$(NOECHO) $(ABSPERLRUN) -MExtUtils::Install -e 'pm_to_blib({@ARGV}, '\''$(INST_LIB)/auto'\'', q[$(PM_FILTER)], '\''$(PERM_DIR)'\'')' -- \
	  lib/Log2t/input/winsrv.lst blib/lib/Log2t/input/winsrv.lst \
	  lib/Log2t/input/analog_cache.pm blib/lib/Log2t/input/analog_cache.pm \
	  lib/Log2t/input/winxp_no_reg.lst blib/lib/Log2t/input/winxp_no_reg.lst 
	$(NOECHO) $(TOUCH) pm_to_blib


# --- MakeMaker selfdocument section:


# --- MakeMaker postamble section:


# End.
